Subject: [bug#34165] [PATCH] gnu: bitcoin-core: Make bitcoin-qt deterministic.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 23 Jan 2019 15:41:43 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Carl Dong <[email-masked]> skribis:
>
>>>>From 2b3162dde22a5d44eb5910b0fcfa07318f935aaf Mon Sep 17 00:00:00 2001
>> From: Carl Dong <[email-masked]>
>> Date: Mon, 21 Jan 2019 14:51:57 -0500
>> Subject: [PATCH] gnu: bitcoin-core: Make bitcoin-qt deterministic.
>
> [...]
>
>> +          (add-before 'configure 'qt-time
>> +           (lambda _
>> +            (setenv "QT_RCC_SOURCE_DATE_OVERRIDE" "1"))) ; Make QT deterministic
>
> Looking at this and the upstream commit¹, I’m thinking maybe we should
> do the same in other Qt applications.  Any idea how we can identify
> applications where it’s needed?
>
> ¹
> https://github.com/qt/qtbase/commit/38271e9298dcf48652a6e2e08414a940a97867fa

This is a bit unfortunate.  It seems to me that the original intent of
the patch was to support SOURCE_DATE_EPOCH as the commit message
mentions that variable’s specification.  Pity that it is now a custom Qt
variable.

This probably should be used for all packages that generate resource
files, which I assume are most non-trivial applications.  I think it’s
fine to add it to all packages using qtbase.

--
Ricardo